<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="8.00"
	Name="Framework"
	ProjectGUID="{9C04CC2D-C188-4443-A185-CB0BCA6ED98D}"
	RootNamespace="Dot3CelShading"
	Keyword="Win32Proj"
	>
	<Platforms>
		<Platform
			Name="Win32"
		/>
		<Platform
			Name="x64"
		/>
	</Platforms>
	<ToolFiles>
	</ToolFiles>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="Debug"
			IntermediateDirectory="Debug"
			ConfigurationType="1"
			InheritedPropertySheets="$(VCInstallDir)VCProjectDefaults\UpgradeFromVC71.vsprops"
			CharacterSet="1"
			ManagedExtensions="0"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="DXUT;Ressources;Utilities;&quot;Graphic Entities&quot;;&quot;Graphic Entities\2D&quot;;&quot;Graphic Entities\3D&quot;;&quot;Graphic Entities\Effects Handlers\PostProcess&quot;;&quot;Graphic Entities\Effects Handlers\RealTime&quot;;Managers\Chains;Managers\Singletons"
				PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;PROFILE"
				MinimalRebuild="false"
				BasicRuntimeChecks="0"
				RuntimeLibrary="1"
				UsePrecompiledHeader="0"
				PrecompiledHeaderThrough="dxstdafx.h"
				WarningLevel="4"
				Detect64BitPortabilityProblems="true"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalOptions="/IGNORE:4089"
				AdditionalDependencies="dxerr.lib dxguid.lib d3dx9d.lib d3d9.lib winmm.lib comctl32.lib &quot;.\DXUT\Libs\DXUTd.lib&quot;"
				LinkIncremental="2"
				IgnoreAllDefaultLibraries="false"
				GenerateDebugInformation="true"
				AssemblyDebug="1"
				ProgramDatabaseFile="$(OutDir)/Framework.pdb"
				SubSystem="2"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
				EmbedManifest="false"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCWebDeploymentTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="Release"
			IntermediateDirectory="Release"
			ConfigurationType="1"
			InheritedPropertySheets="$(VCInstallDir)VCProjectDefaults\UpgradeFromVC71.vsprops"
			UseOfMFC="0"
			UseOfATL="0"
			CharacterSet="1"
			ManagedExtensions="0"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="2"
				InlineFunctionExpansion="1"
				EnableIntrinsicFunctions="false"
				FavorSizeOrSpeed="1"
				OmitFramePointers="true"
				EnableFiberSafeOptimizations="false"
				AdditionalIncludeDirectories="DXUT;Ressources;Utilities;&quot;Graphic Entities&quot;;&quot;Graphic Entities\2D&quot;;&quot;Graphic Entities\3D&quot;;&quot;Graphic Entities\Effects Handlers\PostProcess&quot;;&quot;Graphic Entities\Effects Handlers\RealTime&quot;;Managers\Chains;Managers\Singletons"
				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS"
				StringPooling="true"
				ExceptionHandling="1"
				RuntimeLibrary="0"
				EnableFunctionLevelLinking="true"
				EnableEnhancedInstructionSet="0"
				UsePrecompiledHeader="0"
				PrecompiledHeaderThrough="dxstdafx.h"
				WarningLevel="4"
				Detect64BitPortabilityProblems="true"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalOptions="/IGNORE:4089"
				AdditionalDependencies="dxerr.lib dxguid.lib d3dx9.lib d3d9.lib winmm.lib comctl32.lib &quot;.\DXUT\Libs\DXUT.lib&quot;"
				OutputFile="./PostProcessing.exe"
				LinkIncremental="1"
				GenerateManifest="true"
				GenerateDebugInformation="false"
				SubSystem="2"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
				EmbedManifest="false"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCWebDeploymentTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Debug|x64"
			OutputDirectory="$(PlatformName)\$(ConfigurationName)"
			IntermediateDirectory="$(PlatformName)\$(ConfigurationName)"
			ConfigurationType="1"
			InheritedPropertySheets="$(VCInstallDir)VCProjectDefaults\UpgradeFromVC71.vsprops"
			CharacterSet="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				TargetEnvironment="3"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="Common"
				PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;PROFILE"
				MinimalRebuild="true"
				BasicRuntimeChecks="0"
				RuntimeLibrary="1"
				UsePrecompiledHeader="2"
				PrecompiledHeaderThrough="dxstdafx.h"
				WarningLevel="4"
				Detect64BitPortabilityProblems="true"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalOptions="/IGNORE:4089"
				AdditionalDependencies="dxerr.lib dxguid.lib d3dx9d.lib d3d9.lib winmm.lib comctl32.lib"
				LinkIncremental="2"
				GenerateDebugInformation="true"
				ProgramDatabaseFile="$(OutDir)/Dot3CelShading.pdb"
				SubSystem="2"
				TargetMachine="17"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
				EmbedManifest="false"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCWebDeploymentTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Release|x64"
			OutputDirectory="$(PlatformName)\$(ConfigurationName)"
			IntermediateDirectory="$(PlatformName)\$(ConfigurationName)"
			ConfigurationType="1"
			InheritedPropertySheets="$(VCInstallDir)VCProjectDefaults\UpgradeFromVC71.vsprops"
			CharacterSet="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				TargetEnvironment="3"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="2"
				InlineFunctionExpansion="1"
				OmitFramePointers="true"
				AdditionalIncludeDirectories="Common"
				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS"
				StringPooling="true"
				ExceptionHandling="0"
				RuntimeLibrary="0"
				EnableFunctionLevelLinking="true"
				UsePrecompiledHeader="2"
				PrecompiledHeaderThrough="dxstdafx.h"
				WarningLevel="4"
				Detect64BitPortabilityProblems="true"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalOptions="/IGNORE:4089"
				AdditionalDependencies="dxerr.lib dxguid.lib d3dx9.lib d3d9.lib winmm.lib comctl32.lib"
				OutputFile="$(OutDir)/Dot3CelShading.exe"
				LinkIncremental="1"
				GenerateDebugInformation="true"
				SubSystem="2"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				TargetMachine="17"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
				EmbedManifest="false"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCWebDeploymentTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Profile|x64"
			OutputDirectory="$(PlatformName)\$(ConfigurationName)"
			IntermediateDirectory="$(PlatformName)\$(ConfigurationName)"
			ConfigurationType="1"
			InheritedPropertySheets="$(VCInstallDir)VCProjectDefaults\UpgradeFromVC71.vsprops"
			CharacterSet="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				TargetEnvironment="3"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="2"
				InlineFunctionExpansion="1"
				OmitFramePointers="true"
				AdditionalIncludeDirectories="Common"
				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;PROFILE"
				StringPooling="true"
				ExceptionHandling="0"
				RuntimeLibrary="0"
				EnableFunctionLevelLinking="true"
				UsePrecompiledHeader="2"
				PrecompiledHeaderThrough="dxstdafx.h"
				WarningLevel="4"
				Detect64BitPortabilityProblems="true"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalOptions="/IGNORE:4089"
				AdditionalDependencies="dxerr.lib dxguid.lib d3dx9.lib d3d9.lib winmm.lib comctl32.lib"
				OutputFile="$(OutDir)/Dot3CelShading.exe"
				LinkIncremental="1"
				GenerateDebugInformation="true"
				SubSystem="2"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				TargetMachine="17"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
				EmbedManifest="false"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCWebDeploymentTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="DXUT"
			>
			<File
				RelativePath=".\DXUT\dxstdafx.cpp"
				>
			</File>
			<File
				RelativePath=".\DXUT\dxstdafx.h"
				>
			</File>
			<File
				RelativePath=".\DXUT\DXUT.cpp"
				>
			</File>
			<File
				RelativePath=".\DXUT\DXUT.h"
				>
			</File>
			<File
				RelativePath=".\DXUT\DXUTenum.cpp"
				>
			</File>
			<File
				RelativePath=".\DXUT\DXUTenum.h"
				>
			</File>
			<File
				RelativePath=".\DXUT\DXUTgui.cpp"
				>
			</File>
			<File
				RelativePath=".\DXUT\dxutgui.h"
				>
			</File>
			<File
				RelativePath=".\DXUT\DXUTmisc.cpp"
				>
			</File>
			<File
				RelativePath=".\DXUT\DXUTmisc.h"
				>
			</File>
			<File
				RelativePath=".\DXUT\DXUTRes.cpp"
				>
			</File>
			<File
				RelativePath=".\DXUT\DXUTRes.h"
				>
			</File>
		</Filter>
		<Filter
			Name="FXFiles"
			>
			<Filter
				Name="RealTime"
				>
				<File
					RelativePath=".\FXFiles\RealTime\CelShading.fx"
					>
				</File>
				<File
					RelativePath=".\FXFiles\RealTime\RTCommonData.fxh"
					>
				</File>
				<File
					RelativePath=".\FXFiles\RealTime\SimpleLighting.fx"
					>
				</File>
				<File
					RelativePath=".\FXFiles\RealTime\SkyBox.fx"
					>
				</File>
				<File
					RelativePath=".\FXFiles\RealTime\ZPrePass.fx"
					>
				</File>
			</Filter>
			<Filter
				Name="PostProcess"
				>
				<File
					RelativePath=".\FXFiles\PostProcess\ColorAddResult.fx"
					>
				</File>
				<File
					RelativePath=".\FXFiles\PostProcess\ColorBinarisation.fx"
					>
				</File>
				<File
					RelativePath=".\FXFiles\PostProcess\ColorBloomH.fx"
					>
				</File>
				<File
					RelativePath=".\FXFiles\PostProcess\ColorBloomV.fx"
					>
				</File>
				<File
					RelativePath=".\FXFiles\PostProcess\ColorBrightPass.fx"
					>
				</File>
				<File
					RelativePath=".\FXFiles\PostProcess\ColorCopyResult.fx"
					>
				</File>
				<File
					RelativePath=".\FXFiles\PostProcess\ColorDilation.fx"
					>
				</File>
				<File
					RelativePath=".\FXFiles\PostProcess\ColorDownFilter4X.fx"
					>
				</File>
				<File
					RelativePath=".\FXFiles\PostProcess\ColorEdgeDetect.fx"
					>
				</File>
				<File
					RelativePath=".\FXFiles\PostProcess\ColorGaussianBlurH.fx"
					>
				</File>
				<File
					RelativePath=".\FXFiles\PostProcess\ColorGaussianBlurV.fx"
					>
				</File>
				<File
					RelativePath=".\FXFiles\PostProcess\ColorInverse.fx"
					>
				</File>
				<File
					RelativePath=".\FXFiles\PostProcess\ColorMonochrome.fx"
					>
				</File>
				<File
					RelativePath=".\FXFiles\PostProcess\ColorSepia.fx"
					>
				</File>
				<File
					RelativePath=".\FXFiles\PostProcess\ColorStutter.fx"
					>
				</File>
				<File
					RelativePath=".\FXFiles\PostProcess\ColorSubstractResult.fx"
					>
				</File>
				<File
					RelativePath=".\FXFiles\PostProcess\ColorToneMap.fx"
					>
				</File>
				<File
					RelativePath=".\FXFiles\PostProcess\ColorWiggle.fx"
					>
				</File>
				<File
					RelativePath=".\FXFiles\PostProcess\DOFCombine.fx"
					>
				</File>
				<File
					RelativePath=".\FXFiles\PostProcess\NormalEdgeDetect.fx"
					>
				</File>
				<File
					RelativePath=".\FXFiles\PostProcess\NormalMap.fx"
					>
				</File>
				<File
					RelativePath=".\FXFiles\PostProcess\PositionMap.fx"
					>
				</File>
				<File
					RelativePath=".\FXFiles\PostProcess\PPCommonData.fxh"
					>
				</File>
			</Filter>
		</Filter>
		<Filter
			Name="Graphic Entities"
			>
			<Filter
				Name="2D"
				>
				<File
					RelativePath=".\Graphic Entities\2D\TargetableTexture.cpp"
					>
				</File>
				<File
					RelativePath=".\Graphic Entities\2D\TargetableTexture.h"
					>
				</File>
			</Filter>
			<Filter
				Name="3D"
				>
				<File
					RelativePath=".\Graphic Entities\3D\SkyBox.cpp"
					>
				</File>
				<File
					RelativePath=".\Graphic Entities\3D\SkyBox.h"
					>
				</File>
				<File
					RelativePath=".\Graphic Entities\3D\XObject.cpp"
					>
				</File>
				<File
					RelativePath=".\Graphic Entities\3D\XObject.h"
					>
				</File>
			</Filter>
			<Filter
				Name="Effects Handlers"
				>
				<Filter
					Name="PostProcess"
					>
					<File
						RelativePath=".\Graphic Entities\Effects Handlers\PostProcess\EffectParam.cpp"
						>
					</File>
					<File
						RelativePath=".\Graphic Entities\Effects Handlers\PostProcess\EffectParam.h"
						>
					</File>
					<File
						RelativePath=".\Graphic Entities\Effects Handlers\PostProcess\PPEffectsCommon.cpp"
						>
					</File>
					<File
						RelativePath=".\Graphic Entities\Effects Handlers\PostProcess\PPEFfectsCommon.h"
						>
					</File>
					<File
						RelativePath=".\Graphic Entities\Effects Handlers\PostProcess\ScaledPPEffect.cpp"
						>
					</File>
					<File
						RelativePath=".\Graphic Entities\Effects Handlers\PostProcess\ScaledPPEffect.h"
						>
					</File>
				</Filter>
				<Filter
					Name="RealTime"
					>
					<File
						RelativePath=".\Graphic Entities\Effects Handlers\RealTime\CelShading.cpp"
						>
					</File>
					<File
						RelativePath=".\Graphic Entities\Effects Handlers\RealTime\CelShading.h"
						>
					</File>
					<File
						RelativePath=".\Graphic Entities\Effects Handlers\RealTime\RTEffectsCommon.cpp"
						>
					</File>
					<File
						RelativePath=".\Graphic Entities\Effects Handlers\RealTime\RTEffectsCommon.h"
						>
					</File>
					<File
						RelativePath=".\Graphic Entities\Effects Handlers\RealTime\SimpleLighting.cpp"
						>
					</File>
					<File
						RelativePath=".\Graphic Entities\Effects Handlers\RealTime\SimpleLighting.h"
						>
					</File>
					<File
						RelativePath=".\Graphic Entities\Effects Handlers\RealTime\ZPrePass.cpp"
						>
					</File>
					<File
						RelativePath=".\Graphic Entities\Effects Handlers\RealTime\ZPrePass.h"
						>
					</File>
				</Filter>
			</Filter>
		</Filter>
		<Filter
			Name="Utilities"
			>
			<File
				RelativePath=".\Utilities\Singleton.h"
				>
			</File>
		</Filter>
		<Filter
			Name="Managers"
			>
			<Filter
				Name="Singletons"
				>
				<File
					RelativePath=".\Managers\Singletons\PostProcFXFilesManager.cpp"
					>
				</File>
				<File
					RelativePath=".\Managers\Singletons\PostProcFXFilesManager.h"
					>
				</File>
				<File
					RelativePath=".\Managers\Singletons\PostProcManager.cpp"
					>
				</File>
				<File
					RelativePath=".\Managers\Singletons\PostProcManager.h"
					>
				</File>
				<File
					RelativePath=".\Managers\Singletons\TransformMatrixesManager.cpp"
					>
				</File>
				<File
					RelativePath=".\Managers\Singletons\TransformMatrixesManager.h"
					>
				</File>
			</Filter>
			<Filter
				Name="Chains"
				>
				<File
					RelativePath=".\Managers\Chains\PostProcFXChain.cpp"
					>
				</File>
				<File
					RelativePath=".\Managers\Chains\PostProcFXChain.h"
					>
				</File>
			</Filter>
		</Filter>
		<Filter
			Name="Resource Files"
			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe"
			>
			<File
				RelativePath="Common\directx.ico"
				>
			</File>
			<File
				RelativePath=".\Ressources\Framework.manifest"
				>
			</File>
			<File
				RelativePath=".\Ressources\Framework.rc"
				>
			</File>
			<File
				RelativePath=".\Ressources\resource.h"
				>
			</File>
		</Filter>
		<File
			RelativePath=".\Main.cpp"
			>
		</File>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
